import { api } from "zen-cerebellum";

import { getCurrentUserId } from "../utils";
import { USER_AUTH_PWD } from "../constants";

export function encodePassword(password) {
  //base 64 encoding (with UTF-8 support)
  return window.btoa(unescape(encodeURIComponent(password)));
}

//User password change
export function resetUserPassword(pwd) {
  return api.dispatch((s) =>
    api.patch(USER_AUTH_PWD, `/users/${getCurrentUserId(s)}/`, {
      Password: encodePassword(pwd),
    })
  );
}

//Reset password request
export function requestNewPassword(instance, login) {
  return api.post(USER_AUTH_PWD, "/auth/resetpasswordrequest", {
    Login: login,
    Instance: instance,
  });
}

//Reset password acknowledgment
export function commitNewPassword(ack) {
  return api.post(USER_AUTH_PWD, "/auth/resetpasswordack", ack);
}
