/**
 * Definitions of Web API partial actions type
 * */

export const INIT = "_REQUEST";
export const DONE = "_RESPONSE";
export const FAIL = "_FAILURE";

//GET
export const READ_INIT = `_READ${INIT}`;
export const READ_DONE = `_READ${DONE}`;
export const READ_FAIL = `_READ${FAIL}`;

//POST
export const CREATE_INIT = `_CREATE${INIT}`;
export const CREATE_DONE = `_CREATE${DONE}`;
export const CREATE_FAIL = `_CREATE${FAIL}`;

//DELETE
export const DELETE_INIT = `_DELETE${INIT}`;
export const DELETE_DONE = `_DELETE${DONE}`;
export const DELETE_FAIL = `_DELETE${FAIL}`;

//PUT
export const UPDATE_INIT = `_UPDATE${INIT}`;
export const UPDATE_DONE = `_UPDATE${DONE}`;
export const UPDATE_FAIL = `_UPDATE${FAIL}`;

//PATCH
export const PATCH_INIT = `_PATCH${INIT}`;
export const PATCH_DONE = `_PATCH${DONE}`;
export const PATCH_FAIL = `_PATCH${FAIL}`;

/**
 * Definitions of statics action types
 * */

//authentication
export const USER_AUTH = "AUTH";
export const USER_AUTH_PWD = "AUTH_PWD";
export const USER_LOG_OUT = "USER_LOG_OUT";
export const USER_SESSION_RESTORE = "USER_SESSION_RESTORE";

//logging & notifications
export const MESSAGE_NOTIFY = "MESSAGE_NOTIFY";
export const MESSAGE_DISMISS = "MESSAGE_DISMISS";
export const MESSAGES_CLEAR = "MESSAGES_CLEAR";

//document constants
export const SNAPSHOT_DOCUMENT = "SNAPSHOT_DOCUMENT";
export const TRANSFER_FILE = "TRANSFER_FILE";

//history
export const HISTORY_USER_DISCONNECT = "HISTORY_USER_DISCONNECT";

//entity loading, selection, deletion, download & co
export const ENTITIES_API = "ENTITIES";
export const DELETE_ENTITIES = `${ENTITIES_API}_DELETE`;
export const SEND_ENTITIES = `${ENTITIES_API}_SEND`;
export const REFRESH_ENTITIES = `${ENTITIES_API}_REFRESH`;
