import {
  USER_AUTH,
  USER_AUTH_PWD,
  USER_LOG_OUT,
  USER_SESSION_RESTORE,
  CREATE_INIT,
  CREATE_FAIL
} from "../constants";

const initialState = {
  user: "",
  instance: null,
  auth: false,
  remember: false,
  token: "",
  error: ""
};

function sessionReducer(state = initialState, action) {
  switch (action.type) {
    case `${USER_AUTH}${CREATE_INIT}`: {
      const { Login, Instance, remember } = action.payload;
      return {
        ...state,
        user: Login,
        instance: Instance,
        remember,
        token: "",
        error: ""
      };
    }

    case `${USER_AUTH_PWD}${CREATE_INIT}`: {
      const { Login, Instance } = action.payload;
      return { ...state, user: Login, instance: Instance };
    }

    case USER_SESSION_RESTORE:
      return { ...state, ...action.payload, error: "" };

    case `${USER_AUTH}${CREATE_FAIL}`:
    case USER_LOG_OUT:
      return {
        ...state,
        auth: false,
        token: "",
        error: action.payload.message
      };

    default:
      return state;
  }
}

export default sessionReducer;
