import { createReducer } from "zen-cerebellum";

import { READ_DONE, USER_LOG_OUT } from "../constants";

//for settings dictionary, inject ID + Kind property from their keyed value.
function injectIds(setting, kind) {
  if (!setting) return;
  Object.keys(setting).forEach(key => {
    setting[key].Id = key;
    if (kind) setting[key].Kind = kind;
  });
}

function parseSettings(settings) {
  //here we mutate directly the response before being reduced
  injectIds(settings.PrmDefs.EntityTypes.B, "B");
  injectIds(settings.PrmDefs.EntityTypes.F, "F");
  injectIds(settings.PrmDefs.EntityTypes.D, "D");
  injectIds(settings.PrmDefs.Families);
  injectIds(settings.PrmDefs.FieldTypes);
  injectIds(settings.PrmDefs.Satellites);
  injectIds(settings.PrmDefs.States);
  injectIds(settings.PrmDefs.Stamps);
  return settings;
}

//global state tree contains key value pairs of static settings
export default createReducer(
  {},
  {
    [`SETTINGS${READ_DONE}`]: (_, { payload }) => parseSettings(payload),
    [USER_LOG_OUT]: () => ({})
  }
);
